Public NotInheritable Class FormAbout

    Private Sub FormAbout_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Me.LabelProductName.Text = My.Application.Info.ProductName
        'Me.LabelVersion.Text = String.Format("Version {0}", My.Application.Info.Version.ToString)
        Me.LabelVersion.Text = FormMain.V & "    " & FormMain.V_D
        Me.LabelCopyright.Text = My.Application.Info.Copyright
        Me.LabelCompany.Text = My.Application.Info.CompanyName
        TextBoxAbout.Text = "Program emulates Astro-Physics GTO and Meade LX200 Autostar " & _
            "telescope mounts.  It accepts commands from any serial port (USB and Bluetooth " & _
            "devices work) and returns responses in the same way the real telescope mounts " & _
            "would.  Two serial ports can be used to connect 2 programs to the emulator " & _
            "at one time.  Using this program you can test communications from a computer to " & _
            "telescope mount without having the mount present.  This emulator and other " & _
            "software programs can be on the same computer of different computers.  If " & _
            "using the same computer there must be 2 serial ports of any type available " & _
            "connected together with a null modem cable." & vbCrLf & _
            "AGF Dome Controller can also be emulated but this will disable telescope " & _
            "mount emulation."

    End Sub

    Private Sub ButtonClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonClose.Click
        Me.Close()

    End Sub

    Private Sub LabelCompany_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LabelCompany.Click
        System.Diagnostics.Process.Start("http://miltonhill.us")

    End Sub
End Class
