Imports System.IO

Public Class FormShow
    Dim PosFile As String = "EMpos.txt"

    Private Sub ButtonClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonClose.Click
        Me.Hide()

    End Sub

    Private Sub ButtonSet_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonSet.Click
        FormMain.LX200_ra = MaskedTextBoxRA.Text & "#"
        FormMain.LX200_dec = MaskedTextBoxDEC.Text & "#"
        FormMain.LX200_alt = MaskedTextBoxALT.Text & "#"
        FormMain.LX200_az = MaskedTextBoxAZ.Text & "#"
        FormMain.LX200_lat = MaskedTextBoxLat.Text & "#"
        FormMain.LX200_lon = MaskedTextBoxLon.Text & "#"
        If Mid(FormMain.LX200_az, 2, 1) = "0" Then
            formmain.LX200_az = "+" & mid(formmain.LX200_az,3,9)
        End If
        FormMain.TextBoxFSD.Text = MaskedTextBoxSD.Text
        If RadioButtonEast.Checked = True Then
            FormMain.AP_SOP = "East"
        End If
        If RadioButtonWest.Checked = True Then
            FormMain.AP_SOP = "West"
        End If

    End Sub

    Private Sub ButtonSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonSave.Click
        Dim sw As StreamWriter = Nothing

        SaveFileDialog1.FileName = PosFile
        SaveFileDialog1.Filter = "Emulator saved position|*.txt;"
        If SaveFileDialog1.ShowDialog() = Windows.Forms.DialogResult.OK Then
            Dim SOP As String = "Auto"
            If RadioButtonEast.Checked = True Then
                SOP = "East"
            End If
            If RadioButtonWest.Checked = True Then
                SOP = "West"
            End If
            PosFile = SaveFileDialog1.FileName
            sw = New System.IO.StreamWriter(PosFile, False, System.Text.Encoding.UTF8)
            sw.WriteLine(MaskedTextBoxRA.Text)
            sw.WriteLine(MaskedTextBoxDEC.Text)
            sw.WriteLine(MaskedTextBoxALT.Text)
            sw.WriteLine(MaskedTextBoxAZ.Text)
            sw.WriteLine(MaskedTextBoxSD.Text)
            sw.WriteLine(SOP)
            sw.WriteLine(MaskedTextBoxLat.Text)
            sw.WriteLine(MaskedTextBoxLon.Text)
            sw.Close()
            OpenFileDialog1.FileName = SaveFileDialog1.FileName
        End If
        FormMain.StatusLabel.Text = "Position saved to '" & PosFile & "'"

    End Sub

    Private Sub ButtonRestore_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonRestore.Click
        Dim FileToOpen As String

        If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.OK Then
            Try
                FileToOpen = OpenFileDialog1.FileName
                Using sr As StreamReader = New System.IO.StreamReader(FileToOpen, System.Text.Encoding.Default)

                    Do Until sr.EndOfStream = True
                        MaskedTextBoxRA.Text = sr.ReadLine
                        MaskedTextBoxDEC.Text = sr.ReadLine
                        MaskedTextBoxALT.Text = sr.ReadLine
                        MaskedTextBoxAZ.Text = sr.ReadLine
                        MaskedTextBoxSD.Text = sr.ReadLine
                        FormMain.AP_SOP = sr.ReadLine
                        MaskedTextBoxLat.Text = sr.ReadLine
                        MaskedTextBoxLon.Text = sr.ReadLine
                    Loop

                    sr.Close()
                End Using
                If FormMain.AP_SOP = "East" Then
                    RadioButtonEast.Checked = True
                End If
                If FormMain.AP_SOP = "West" Then
                    RadioButtonWest.Checked = True
                End If
                If FormMain.AP_SOP = "Auto" Then
                    RadioButtonAuto.Checked = True
                End If
                FormMain.StatusLabel.Text = "Postion restored from '" & FileToOpen & "'"

            Catch ex As Exception
                FormMain.StatusLabel.Text = ex.Message
            End Try
        End If

    End Sub

    Private Sub ButtonUpdateST_Click(sender As System.Object, e As System.EventArgs) Handles ButtonUpdateST.Click
        FormMain.GetSiderealTime()
        MaskedTextBoxSD.Text = FormMain.SiderealTime

    End Sub

End Class